Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
366e::/16
First address
366e::
Last address
366e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
366e:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
e.6.6.3.ip6.arpa
Split into smaller subnets/24

366e::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1366e::/24366e:ff:ffff:ffff:ffff:ffff:ffff:ffff
2366e:100::/24366e:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3366e:200::/24366e:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4366e:300::/24366e:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5366e:400::/24366e:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6366e:500::/24366e:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7366e:600::/24366e:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8366e:700::/24366e:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9366e:800::/24366e:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10366e:900::/24366e:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11366e:a00::/24366e:aff:ffff:ffff:ffff:ffff:ffff:ffff
12366e:b00::/24366e:bff:ffff:ffff:ffff:ffff:ffff:ffff
13366e:c00::/24366e:cff:ffff:ffff:ffff:ffff:ffff:ffff
14366e:d00::/24366e:dff:ffff:ffff:ffff:ffff:ffff:ffff
15366e:e00::/24366e:eff:ffff:ffff:ffff:ffff:ffff:ffff
16366e:f00::/24366e:fff:ffff:ffff:ffff:ffff:ffff:ffff
17366e:1000::/24366e:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18366e:1100::/24366e:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19366e:1200::/24366e:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20366e:1300::/24366e:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21366e:1400::/24366e:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22366e:1500::/24366e:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23366e:1600::/24366e:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24366e:1700::/24366e:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25366e:1800::/24366e:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26366e:1900::/24366e:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27366e:1a00::/24366e:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28366e:1b00::/24366e:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29366e:1c00::/24366e:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30366e:1d00::/24366e:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31366e:1e00::/24366e:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32366e:1f00::/24366e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33366e:2000::/24366e:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34366e:2100::/24366e:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35366e:2200::/24366e:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36366e:2300::/24366e:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37366e:2400::/24366e:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38366e:2500::/24366e:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39366e:2600::/24366e:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40366e:2700::/24366e:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41366e:2800::/24366e:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42366e:2900::/24366e:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43366e:2a00::/24366e:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44366e:2b00::/24366e:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45366e:2c00::/24366e:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46366e:2d00::/24366e:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47366e:2e00::/24366e:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48366e:2f00::/24366e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49366e:3000::/24366e:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50366e:3100::/24366e:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51366e:3200::/24366e:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52366e:3300::/24366e:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53366e:3400::/24366e:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54366e:3500::/24366e:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55366e:3600::/24366e:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56366e:3700::/24366e:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57366e:3800::/24366e:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58366e:3900::/24366e:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59366e:3a00::/24366e:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60366e:3b00::/24366e:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61366e:3c00::/24366e:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62366e:3d00::/24366e:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63366e:3e00::/24366e:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64366e:3f00::/24366e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65366e:4000::/24366e:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66366e:4100::/24366e:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67366e:4200::/24366e:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68366e:4300::/24366e:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69366e:4400::/24366e:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70366e:4500::/24366e:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71366e:4600::/24366e:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72366e:4700::/24366e:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73366e:4800::/24366e:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74366e:4900::/24366e:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75366e:4a00::/24366e:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76366e:4b00::/24366e:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77366e:4c00::/24366e:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78366e:4d00::/24366e:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79366e:4e00::/24366e:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80366e:4f00::/24366e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81366e:5000::/24366e:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82366e:5100::/24366e:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83366e:5200::/24366e:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84366e:5300::/24366e:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85366e:5400::/24366e:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86366e:5500::/24366e:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87366e:5600::/24366e:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88366e:5700::/24366e:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89366e:5800::/24366e:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90366e:5900::/24366e:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91366e:5a00::/24366e:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92366e:5b00::/24366e:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93366e:5c00::/24366e:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94366e:5d00::/24366e:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95366e:5e00::/24366e:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96366e:5f00::/24366e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97366e:6000::/24366e:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98366e:6100::/24366e:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99366e:6200::/24366e:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100366e:6300::/24366e:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101366e:6400::/24366e:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102366e:6500::/24366e:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103366e:6600::/24366e:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104366e:6700::/24366e:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105366e:6800::/24366e:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106366e:6900::/24366e:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107366e:6a00::/24366e:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108366e:6b00::/24366e:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109366e:6c00::/24366e:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110366e:6d00::/24366e:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111366e:6e00::/24366e:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112366e:6f00::/24366e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113366e:7000::/24366e:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114366e:7100::/24366e:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115366e:7200::/24366e:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116366e:7300::/24366e:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117366e:7400::/24366e:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118366e:7500::/24366e:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119366e:7600::/24366e:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120366e:7700::/24366e:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121366e:7800::/24366e:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122366e:7900::/24366e:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123366e:7a00::/24366e:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124366e:7b00::/24366e:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125366e:7c00::/24366e:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126366e:7d00::/24366e:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127366e:7e00::/24366e:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128366e:7f00::/24366e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129366e:8000::/24366e:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130366e:8100::/24366e:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131366e:8200::/24366e:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132366e:8300::/24366e:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133366e:8400::/24366e:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134366e:8500::/24366e:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135366e:8600::/24366e:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136366e:8700::/24366e:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137366e:8800::/24366e:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138366e:8900::/24366e:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139366e:8a00::/24366e:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140366e:8b00::/24366e:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141366e:8c00::/24366e:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142366e:8d00::/24366e:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143366e:8e00::/24366e:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144366e:8f00::/24366e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145366e:9000::/24366e:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146366e:9100::/24366e:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147366e:9200::/24366e:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148366e:9300::/24366e:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149366e:9400::/24366e:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150366e:9500::/24366e:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151366e:9600::/24366e:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152366e:9700::/24366e:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153366e:9800::/24366e:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154366e:9900::/24366e:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155366e:9a00::/24366e:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156366e:9b00::/24366e:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157366e:9c00::/24366e:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158366e:9d00::/24366e:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159366e:9e00::/24366e:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160366e:9f00::/24366e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161366e:a000::/24366e:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162366e:a100::/24366e:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163366e:a200::/24366e:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164366e:a300::/24366e:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165366e:a400::/24366e:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166366e:a500::/24366e:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167366e:a600::/24366e:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168366e:a700::/24366e:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169366e:a800::/24366e:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170366e:a900::/24366e:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171366e:aa00::/24366e:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172366e:ab00::/24366e:abff:ffff:ffff:ffff:ffff:ffff:ffff
173366e:ac00::/24366e:acff:ffff:ffff:ffff:ffff:ffff:ffff
174366e:ad00::/24366e:adff:ffff:ffff:ffff:ffff:ffff:ffff
175366e:ae00::/24366e:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176366e:af00::/24366e:afff:ffff:ffff:ffff:ffff:ffff:ffff
177366e:b000::/24366e:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178366e:b100::/24366e:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179366e:b200::/24366e:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180366e:b300::/24366e:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181366e:b400::/24366e:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182366e:b500::/24366e:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183366e:b600::/24366e:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184366e:b700::/24366e:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185366e:b800::/24366e:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186366e:b900::/24366e:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187366e:ba00::/24366e:baff:ffff:ffff:ffff:ffff:ffff:ffff
188366e:bb00::/24366e:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189366e:bc00::/24366e:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190366e:bd00::/24366e:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191366e:be00::/24366e:beff:ffff:ffff:ffff:ffff:ffff:ffff
192366e:bf00::/24366e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193366e:c000::/24366e:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194366e:c100::/24366e:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195366e:c200::/24366e:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196366e:c300::/24366e:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197366e:c400::/24366e:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198366e:c500::/24366e:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199366e:c600::/24366e:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200366e:c700::/24366e:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201366e:c800::/24366e:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202366e:c900::/24366e:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203366e:ca00::/24366e:caff:ffff:ffff:ffff:ffff:ffff:ffff
204366e:cb00::/24366e:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205366e:cc00::/24366e:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206366e:cd00::/24366e:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207366e:ce00::/24366e:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208366e:cf00::/24366e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209366e:d000::/24366e:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210366e:d100::/24366e:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211366e:d200::/24366e:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212366e:d300::/24366e:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213366e:d400::/24366e:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214366e:d500::/24366e:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215366e:d600::/24366e:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216366e:d700::/24366e:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217366e:d800::/24366e:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218366e:d900::/24366e:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219366e:da00::/24366e:daff:ffff:ffff:ffff:ffff:ffff:ffff
220366e:db00::/24366e:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221366e:dc00::/24366e:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222366e:dd00::/24366e:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223366e:de00::/24366e:deff:ffff:ffff:ffff:ffff:ffff:ffff
224366e:df00::/24366e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225366e:e000::/24366e:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226366e:e100::/24366e:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227366e:e200::/24366e:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228366e:e300::/24366e:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229366e:e400::/24366e:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230366e:e500::/24366e:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231366e:e600::/24366e:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232366e:e700::/24366e:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233366e:e800::/24366e:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234366e:e900::/24366e:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235366e:ea00::/24366e:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236366e:eb00::/24366e:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237366e:ec00::/24366e:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238366e:ed00::/24366e:edff:ffff:ffff:ffff:ffff:ffff:ffff
239366e:ee00::/24366e:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240366e:ef00::/24366e:efff:ffff:ffff:ffff:ffff:ffff:ffff
241366e:f000::/24366e:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242366e:f100::/24366e:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243366e:f200::/24366e:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244366e:f300::/24366e:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245366e:f400::/24366e:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246366e:f500::/24366e:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247366e:f600::/24366e:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248366e:f700::/24366e:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249366e:f800::/24366e:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250366e:f900::/24366e:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251366e:fa00::/24366e:faff:ffff:ffff:ffff:ffff:ffff:ffff
252366e:fb00::/24366e:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253366e:fc00::/24366e:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254366e:fd00::/24366e:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255366e:fe00::/24366e:feff:ffff:ffff:ffff:ffff:ffff:ffff
256366e:ff00::/24366e:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses